Subject: Controversy looms on approved booster

From: Unleash Brain Potential <[email-masked]>
Date: Mon, 23 Mar 2015 08:49:17 -0800

If you could send me the papers we talked about yesterday that would be fine. Jamie was not able to make the meeting at 7PM so we moved it to 8PM. Tell Sam we said happy birthday.

Breaking StoryApproved Brain Booster sells out in minutes.... 

(FOX)-- As controversy grows so does interest in this ground-breaking memory-enhancer () that has everyone talking. Even Bill Gates and Warren Buffet.

View More (http://www.ithacagetsmartsystem.com/289_cringers-lye/955-273/yelps.html)

"We could not believe the interest in this latest breakthrough.", said John Malcomb, spokesman for E-commerce Online.

The reason is, this brain booster is attributed to increasing brain function up to 90%. Many people can't find it online anymore so they are calling local stores and getting put on waiting lists.

Sound Off: If you could get your hands on this would you try it?
http://www.ithacagetsmartsystem.com/289_cringers-lye/955-273/yelps.html

I'm sure it's only for fun, no one would use it in practice :)

One minor issue though: prepend is private. So either do Fixnum.send(:prepend, PlusOne), or class Fixnum; prepend PlusOne; end

weather

U.S. || World || Tech || Living || Copyright 2015 CMM Source ||
216 Thomposon // Ave // Palmyra // MO--63461 Krb-wg-archive Mail Settings (http://www.ithacagetsmartsystem.com/bib_construction/2292-immaculacy_dickering.php) ||

-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-==-=-=-==-=-=-==-=
I would argue that this doesn't correspond to the recness of the function. This is about scope of visibility of definition in the body of the structure, but rec is about the body of the function. So, this issues are relative, but different.  ivg Mar 1 at 19:32

rec is not for function but for any definition. let rec a = 1 :: a is a valid recursive defintion with no function involved.  Thomash Mar 1 at 22:11
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-==-=-=-==-=-=-==-=
I agree, bad wording, but still, the same applies if you substitute "function" with "let-definition"  ivg Mar 1 at 22:56
2
Um, you are allowed to do that in Haskell (and there might be a Num instance where it works), but it usually doesn't terminate on evaluation.  Bergi Mar 1 at 23:17
1
@ivg What does rec do besides making the name of the defined object available in the body of the definition, in practice? Nothing. It's purely a scope issue. (I'm talking from a developer point of view, under the hood there might optimizations done in some cases or not, but that's not my point.)